from django.db import models

class Task(models.Model):
    CATEGORY_CHOICES = [
        ('LAVORO', 'Lavoro'),
        ('FAMIGLIA', 'Famiglia'),
        ('PERSONALE', 'Personale'),
    ]

    STATUS_CHOICES = [
        ('DA_FARE', 'Da Fare'),
        ('IN_SOSPESO', 'In Sospeso'),
        ('COMPLETATO', 'Completato'),
    ]

    title = models.TextField(verbose_name="Cosa devi fare?")
    category = models.CharField(max_length=10, choices=CATEGORY_CHOICES, default='PERSONALE', verbose_name="Categoria")
    status = models.CharField(max_length=10, choices=STATUS_CHOICES, default='DA_FARE', verbose_name="Stato")
    due_date = models.DateField(verbose_name="Data di scadenza", null=True, blank=True)
    due_time = models.TimeField(verbose_name="Ora di scadenza", null=True, blank=True)

    def __str__(self):
        return self.title

    class Meta:
        ordering = ['status', 'category']
        verbose_name = "Attività"
        verbose_name_plural = "Attività"